org.apache.olingo.odata2.api.uri

## Class UriSyntaxException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.olingo.odata2.api.exception.ODataException
      - - org.apache.olingo.odata2.api.exception.ODataMessageException
        - - org.apache.olingo.odata2.api.exception.ODataHttpException
          - - org.apache.olingo.odata2.api.exception.ODataBadRequestException
            - - org.apache.olingo.odata2.api.uri.UriSyntaxException

- All Implemented Interfaces:
    Serializable

      public class UriSyntaxException
      extends ODataBadRequestException

  Exception for violation of the OData URI construction rules, resulting in a 400 Bad Request response.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MessageReference` | `DUPLICATEKEYNAMES`
    `static MessageReference` | `DUPLICATESYSTEMQUERYPARAMETES`
    `static MessageReference` | `EMPTYSEGMENT`
    `static MessageReference` | `ENTITYSETINSTEADOFENTITY`
    `static MessageReference` | `INCOMPATIBLELITERAL`
    `static MessageReference` | `INCOMPATIBLESYSTEMQUERYOPTION`
    `static MessageReference` | `INVALIDFILTEREXPRESSION`
    `static MessageReference` | `INVALIDKEYPREDICATE`
    `static MessageReference` | `INVALIDNEGATIVEVALUE`
    `static MessageReference` | `INVALIDNULLVALUE`
    `static MessageReference` | `INVALIDORDERBYEXPRESSION`
    `static MessageReference` | `INVALIDPROPERTYTYPE`
    `static MessageReference` | `INVALIDRETURNTYPE`
    `static MessageReference` | `INVALIDSEGMENT`
    `static MessageReference` | `INVALIDSYSTEMQUERYOPTION`
    `static MessageReference` | `INVALIDVALUE`
    `static MessageReference` | `LITERALFORMAT`
    `static MessageReference` | `MISSINGKEYPREDICATENAME`
    `static MessageReference` | `MISSINGPARAMETER`
    `static MessageReference` | `MUSTBELASTSEGMENT`
    `static MessageReference` | `MUSTNOTBELASTSEGMENT`
    `static MessageReference` | `NOMEDIARESOURCE`
    `static MessageReference` | `NONAVIGATIONPROPERTY`
    `static MessageReference` | `NOTEXT`
    `static MessageReference` | `UNKNOWNLITERAL`
    `static MessageReference` | `URISYNTAX`

    - ### Fields inherited from class org.apache.olingo.odata2.api.exception.ODataBadRequestException

      `AMBIGUOUS_XMETHOD, BODY, COMMON, INVALID_HEADER, INVALID_REQUEST, INVALID_SYNTAX, NOTSUPPORTED, PARSEVERSIONERROR, URLTOOSHORT, VERSIONERROR`

    - ### Fields inherited from class org.apache.olingo.odata2.api.exception.ODataHttpException

      `httpStatus`

    - ### Fields inherited from class org.apache.olingo.odata2.api.exception.ODataMessageException

      `errorCode, messageReference`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UriSyntaxException(MessageReference MessageReference)`
    `UriSyntaxException(MessageReference MessageReference, String errorCode)`
    `UriSyntaxException(MessageReference messageReference, Throwable cause)`
    `UriSyntaxException(MessageReference messageReference, Throwable cause, String errorCode)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.olingo.odata2.api.exception.ODataHttpException

      `getHttpStatus`

    - ### Methods inherited from class org.apache.olingo.odata2.api.exception.ODataMessageException

      `createMessageReference, getErrorCode, getMessage, getMessageReference`

    - ### Methods inherited from class org.apache.olingo.odata2.api.exception.ODataException

      `getApplicationExceptionCause, getHttpExceptionCause, getMessageExceptionCause, isCausedByApplicationException, isCausedByHttpException, isCausedByMessageException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### URISYNTAX

          public static final MessageReference URISYNTAX

    - #### ENTITYSETINSTEADOFENTITY

          public static final MessageReference ENTITYSETINSTEADOFENTITY

    - #### NOTEXT

          public static final MessageReference NOTEXT

    - #### NOMEDIARESOURCE

          public static final MessageReference NOMEDIARESOURCE

    - #### NONAVIGATIONPROPERTY

          public static final MessageReference NONAVIGATIONPROPERTY

    - #### MISSINGPARAMETER

          public static final MessageReference MISSINGPARAMETER

    - #### MISSINGKEYPREDICATENAME

          public static final MessageReference MISSINGKEYPREDICATENAME

    - #### DUPLICATEKEYNAMES

          public static final MessageReference DUPLICATEKEYNAMES

    - #### DUPLICATESYSTEMQUERYPARAMETES

          public static final MessageReference DUPLICATESYSTEMQUERYPARAMETES

    - #### EMPTYSEGMENT

          public static final MessageReference EMPTYSEGMENT

    - #### MUSTNOTBELASTSEGMENT

          public static final MessageReference MUSTNOTBELASTSEGMENT

    - #### MUSTBELASTSEGMENT

          public static final MessageReference MUSTBELASTSEGMENT

    - #### INVALIDSEGMENT

          public static final MessageReference INVALIDSEGMENT

    - #### INVALIDVALUE

          public static final MessageReference INVALIDVALUE

    - #### INVALIDNULLVALUE

          public static final MessageReference INVALIDNULLVALUE

    - #### INVALIDNEGATIVEVALUE

          public static final MessageReference INVALIDNEGATIVEVALUE

    - #### INVALIDRETURNTYPE

          public static final MessageReference INVALIDRETURNTYPE

    - #### INVALIDPROPERTYTYPE

          public static final MessageReference INVALIDPROPERTYTYPE

    - #### INVALIDKEYPREDICATE

          public static final MessageReference INVALIDKEYPREDICATE

    - #### INVALIDSYSTEMQUERYOPTION

          public static final MessageReference INVALIDSYSTEMQUERYOPTION

    - #### INVALIDFILTEREXPRESSION

          public static final MessageReference INVALIDFILTEREXPRESSION

    - #### INVALIDORDERBYEXPRESSION

          public static final MessageReference INVALIDORDERBYEXPRESSION

    - #### LITERALFORMAT

          public static final MessageReference LITERALFORMAT

    - #### UNKNOWNLITERAL

          public static final MessageReference UNKNOWNLITERAL

    - #### INCOMPATIBLELITERAL

          public static final MessageReference INCOMPATIBLELITERAL

    - #### INCOMPATIBLESYSTEMQUERYOPTION

          public static final MessageReference INCOMPATIBLESYSTEMQUERYOPTION

  - ### Constructor Detail

    - #### UriSyntaxException

          public UriSyntaxException(MessageReference MessageReference)

    - #### UriSyntaxException

          public UriSyntaxException(MessageReference messageReference,
                                    Throwable cause)

    - #### UriSyntaxException

          public UriSyntaxException(MessageReference MessageReference,
                                    String errorCode)

    - #### UriSyntaxException

          public UriSyntaxException(MessageReference messageReference,
                                    Throwable cause,
                                    String errorCode)

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.